import wx
import SimUtils

#----------------------------------------------------------------------------
class Glue:
    def __init__(self, strength=0, label=""):
        self.strength = strength
        self.label = label

    def Hash(self):
        return self.label + str(self.strength)

class TileType:
    def __init__(self, name, width=100, height=100):
        self.name = name
        self.width = width
        self.height = height
        self.sides = [None, None, None, None]

    def DrawAtLocation(self, xPixel, yPixel, pdc):
        pdc.DrawRectangle(xPixel, yPixel, self.width, self.height)


class Tile:
    def __init__(self, ttype, coords=None):
        self.type = ttype
        self.coords = coords

    def __str__(self):
        outStr = self.type.name + str(self.coords)
        return outStr

    def __repr__(self):
        outStr = self.type.name + str(self.coords)
        return outStr
